experimental
Get a cross-service edge by ID.
Get a cross-service edge by ID.
GET
/
v0
/
experimental
/
edges
/
{id}
Get a cross-service edge by ID.
curl --request GET \
--url https://{hostname}.gable.ai/v0/experimental/edges/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/experimental/edges/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/experimental/edges/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edge": {
"source": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"destination": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"field_mappings": [
{
"source_field": "<string>",
"destination_field": "<string>",
"notes": "<string>"
}
],
"id": "<string>",
"kind": "cross_service",
"namespace": "<string>"
}
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
The edge ID.
Query Parameters
Optional namespace guard for the requested edge.
Response
Successful operation
A cross-service edge connecting two components. This schema is used for both read (GET) and write (POST/PUT) operations to enable round-trip editing. Fields marked readOnly are returned by GET but ignored on POST/PUT. Fields marked writeOnly are accepted on POST/PUT but not returned in GET.
Show child attributes
Show child attributes
Previous
Update a cross-service edge.Update a cross-service edge by ID. Replaces the entire edge definition.
Next
⌘I
Get a cross-service edge by ID.
